import sys
import os

# An hacky way to discover if we're inside a virtualenv
if not hasattr(sys, "real_prefix"):
    raise RuntimeError("You must use this inside a virtualenv")

_socks_path = os.path.realpath(os.path.join(sys.prefix,
                                            "../../socks/branches"))
_branch_name = sys.prefix.rsplit("/", 1)[-1]


bind = "unix:%s/%s.sock" % (_socks_path, _branch_name)
workers = 2


del sys, os, _socks_path, _branch_name
